%global apiver 0.4

Summary:        Graph based image processing framework
Name:           gegl04
Version:        0.4.48
Release:        1%{?dist}
License:        GPL-3.0-or-later AND LGPL-3.0-or-later
URL:            http://www.gegl.org/
Source0:        http://download.gimp.org/pub/gegl/%{apiver}/gegl-%{version}.tar.xz

Patch3000:      gegl04-openexr.patch
Patch3001:      gegl04-gtk.patch

BuildRequires:  gcc-c++ meson
BuildRequires:  chrpath enscript gettext-devel gobject-introspection-devel gtk-doc
BuildRequires:  libspiro-devel perl-interpreter ruby suitesparse-devel vala asciidoc
BuildRequires:  pkgconfig(babl-0.1) >= 0.1.100
BuildRequires:  pkgconfig(cairo) >= 1.12.2
BuildRequires:  pkgconfig(exiv2) >= 0.25
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gexiv2)
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(jasper) >= 1.900.1
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(lcms2) >= 2.8
BuildRequires:  pkgconfig(libraw) >= 0.15.4
BuildRequires:  pkgconfig(libpng) >= 1.6.0
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.40.6
BuildRequires:  pkgconfig(libv4l2) >= 1.0.1
BuildRequires:  pkgconfig(libwebp) >= 0.5.0
BuildRequires:  pkgconfig(lua) >= 5.1.0
BuildRequires:  pkgconfig(pango) >= 1.38.0
BuildRequires:  pkgconfig(pangocairo) >= 1.38.0
BuildRequires:  pkgconfig(pygobject-3.0) >= 3.2
BuildRequires:  pkgconfig(sdl2) >= 2.0.5
BuildRequires:  pkgconfig(vapigen) >= 0.20.0
BuildRequires:  pkgconfig(libtiff-4) >= 4.0.0
Provides:       bundled(poly2tri-c)

%description
GEGL (Generic Graphics Library) is a graph based image processing framework.
GEGLs original design was made to scratch GIMP's itches for a new
compositing and processing core. This core is being designed to have
minimal dependencies and a simple well defined API.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use GEGL API version %{apiver}.

%package        devel-docs
Summary:        Documentation files for developing with %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel-docs
The %{name}-devel-docs package contains documentation files for developing
applications that use GEGL API version %{apiver}.

%package        tools
Summary:        Command line tools for %{name}
Requires:       %{name} = %{version}-%{release}
License:        GPLv3+

%description    tools
The %{name}-tools package contains tools for the command line that use the
GEGL library.


%prep
%autosetup -p1 -n gegl-%{version}


%build
%meson --auto-features=auto -Ddocs=true -Dgtk-doc=true
%meson_build


%install
%meson_install
chrpath --delete %{buildroot}%{_bindir}/*
chrpath --delete %{buildroot}%{_libdir}/*.so*
chrpath --delete %{buildroot}%{_libdir}/gegl-%{apiver}/*.so


%find_lang gegl-%{apiver}

%files -f gegl-%{apiver}.lang
%license COPYING.LESSER
%{_libdir}/gegl-%{apiver}/
%{_libdir}/libgegl-%{apiver}.so.*
%{_libdir}/libgegl-npd-%{apiver}.so
%{_libdir}/libgegl-sc-%{apiver}.so
%{_libdir}/girepository-1.0/Gegl-%{apiver}.typelib

%files devel
%{_includedir}/gegl-%{apiver}/
%{_libdir}/libgegl-%{apiver}.so
%{_libdir}/pkgconfig/gegl-%{apiver}.pc
%{_libdir}/pkgconfig/gegl-sc-%{apiver}.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gegl-%{apiver}.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gegl-%{apiver}.deps
%{_datadir}/vala/vapi/gegl-%{apiver}.vapi

%files devel-docs
%doc %{_datadir}/gtk-doc/

%files tools
%license COPYING
%{_bindir}/*


%changelog
* Fri May 24 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.4.48-1
- Upgraded to upstream 0.4.48

* Wed Dec 27 2023 Rebuild Robot <rebot@opencloudos.org> - 0.4.44-7
- Rebuilt for LibRaw

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.44-6
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 29 2023 jackeyji <jackeyji@tencent.com> - 0.4.44-5
- Rebuilt for libspiro 20221101

* Wed Aug 23 2023 kianli <kianli@tencent.com> - 0.4.44-4
- Rebuilt for v4l-utils 1.24.1

* Fri Aug 18 2023 cunshunxia <cunshunxia@tencent.com> - 0.4.44-3
- Rebuilt for jasper-libs 4.0.0

* Thu Aug 17 2023 cunshunxia <cunshunxia@tencent.com> - 0.4.44-2
- Rebuilt for SDL2 2.28.2

* Thu Aug 03 2023 kianli <kianli@tencent.com> - 0.4.44-1
- Upgrade to 0.4.44 and Rebuilt for babl 0.1.102

* Wed Aug 02 2023 kianli <kianli@tencent.com> - 0.4.38-4
- Rebuilt for libtiff 4.5.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.38-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.38-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Miaojun Dong <zoedong@tencent.com> - 0.4.38-1
- initial build
